Add Entries Handler
curl --request POST \
--url https://api.allium.so/api/v1/beam/datasets/{dataset_id}/entries \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"values": [
"<string>"
]
}
'import requests
url = "https://api.allium.so/api/v1/beam/datasets/{dataset_id}/entries"
payload = { "values": ["<string>"] }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({values: ['<string>']})
};
fetch('https://api.allium.so/api/v1/beam/datasets/{dataset_id}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Datasets
Add entries
Adds values to a dataset. Duplicates are ignored.
POST
/
api
/
v1
/
beam
/
datasets
/
{dataset_id}
/
entries
Add Entries Handler
Adds values to a dataset. Duplicates are ignored. Changes are reflected immediately in
Request body:
Response:
beam.contains("DATASET_NAME", [input.field1, input.field2]) lookups inside JavaScript transforms — no redeploy needed. See the Datasets overview for the full usage pattern.
Path parameters:
| Parameter | Description |
|---|---|
dataset_id | Dataset ID |
{
"values": ["0x3c499c542cef5e3811e1192ce70d8cc03d5c3359", "0xc2132d05d31c914a87c6611c10748aeb04b58e8f"]
}
| Field | Required | Description |
|---|---|---|
values | Yes | Array of string values to add |
curl -X POST https://api.allium.so/api/v1/beam/datasets/${DATASET_ID}/entries \
-H "X-API-Key: ${ALLIUM_API_KEY}" \
-H "Content-Type: application/json" \
-d '{ "values": ["0x3c499c542cef5e3811e1192ce70d8cc03d5c3359"] }'
{ "count": 1 }
Uploading large datasets
Each request supports up to 250,000 values.import httpx
CHUNK_SIZE = 250_000
def upload_dataset(dataset_id: str, values: list[str], api_key: str):
chunks = [values[i:i + CHUNK_SIZE] for i in range(0, len(values), CHUNK_SIZE)]
with httpx.Client() as client:
for chunk in chunks:
client.post(
f"https://api.allium.so/api/v1/beam/datasets/{dataset_id}/entries",
json={"values": chunk},
headers={"X-API-Key": api_key},
)
Use lowercase values when filtering by addresses — this is how values are normalized in the system.
Was this page helpful?
⌘I